[B036] Grant funding

post
https://connect.patsnap.com/synapse/organization/grant-funding
Try in Sandbox

Obtain grant funding about award by organization, funded value, open time etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
offset
integer<int64>-
Offset, default 0
limit
integer<int64>10
Limit, default 10. offset + limit <= 10000, limit up to 1,000.
organization_id
string11ef8a9e8bf5ca80213a1183511cded3
Organization ID

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
items
arrayPlease check the form:OrganizationGrantFundingDto
Result Items
value
number<double>500000
Amount
open_date
integer<int64>1598933340000
Open Date
close_date
integer<int64>1643601660000
Closed Date
currency_code
stringUSD
Currency Code
award_by_organization
array[ { "display_name": [ { "lang": "EN", "name": "US Food & Drug Administration" } ], "original_name": "Food and Drug Administration", "organization_id": "22f728dbb565b4533dccd54700185db3" } ]
Award By
display_name
array[ { "lang": "EN", "name": "Roche Holding AG" }, { "lang": "CN", "name": "罗氏" } ]
Organization Name, Referencing "CommonName"
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
original_name
stringFood and Drug Administration
Organization Original Name
organization_id
string87bfaf037f8e60c9e25595cd98bb27e4
Organization ID
limit
integer<int64>10
limit
total
integer<int64>10
total
offset
integer<int64>-
offset
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "items": [
      {
        "value": 500000,
        "open_date": 1598933340000,
        "close_date": 1643601660000,
        "currency_code": "USD",
        "award_by_organization": [
          {
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ],
            "original_name": "Food and Drug Administration",
            "organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
          }
        ]
      }
    ],
    "limit": 10,
    "total": 10,
    "offset": 0
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms